module ORMakers
  # Database class
  class Database
    DATA_TYPES = {
      String => 'varchar',
      Integer => 'int',
      Float => 'float'
    }.freeze

    def self.query(sql)
      connection.exec(sql)
    end

    def self.connection
      # @connection ||= PG.connect(DBCredentials.new.to_hash)
      @connection ||= PG.connect(dbname: 'ormakers')
    end

    private_class_method :connection
  end
end
